精华内容
下载资源
问答
  • vb与autocad二次开发

    2012-08-24 09:27:27
    VisualBasic与AutoCAD二次开发技术,清华大学出版的,虽然老了点,但用来入门还是不错的。
  • 在发个VB与AUTOCAD二次开发源代码包,包括以下内容:在学校的话,叫计算机辅助设计第一章 VB开发AotoCAD基础知识第一节 欢迎进入VB开发AUTOCAD的精彩世界第二节 VB 开发 AUTOCAD 的技术手段1 AutoCAD ActiveX 技术...

    在发个VB与AUTOCAD二次开发源代码包,包括以下内容:

    在学校的话,叫计算机辅助设计

    第一章 VB开发AotoCAD基础知识

    第一节 欢迎进入VB开发AUTOCAD的精彩世界

    第二节 VB 开发 AUTOCAD 的技术手段

    1 AutoCAD ActiveX 技术概述

    2 AutoCAD 对象模型

    3 VB 开发 AUTOCAD 的基本框架的建立

    第二章 二维对象的绘制和属性

    第一节 点的绘制和点的属性

    1 点的常用属性和方法

    2 设置点的显示类型和尺寸

    3 点的绘制和属性查询

    4 点的定位

    第二节 直线的绘制和直线的属性

    1 直线的常用属性和方法

    2 设置线型和线型比例

    3 设置线宽

    4 设置颜色

    5 直线的绘制和属性查询

    第三节 圆的绘制和圆的属性

    1 圆的常用属性和方法

    2 圆的绘制和属性查询

    第四节 圆弧的绘制和圆弧的属性

    1 圆弧的常用属性和方法

    2 圆弧的绘制和属性查询

    第五节 椭圆、椭圆弧的绘制和椭圆、椭圆弧的属性

    1 椭圆(椭圆弧)的常用属性和方法

    2 椭圆(椭圆弧)的绘制和属性查询

    第六节 多段线的绘制和多段线的属性

    1 多段线的常用属性和方法

    2 多段线的绘制和属性查询

    3 设置(获取)多段线线宽

    4 多段线添加节点

    第七节 样条曲线的绘制和样条曲线的属性

    1 样条曲线的常用属性和方法

    2 样条曲线的绘制和属性查询

    3 修改(获取)样条曲线的拟合点坐标

    4 添加(删除)样条曲线拟合点

    第八节 面域绘制和面域属性

    1 面域的常用属性和方法区

    2 面域的绘制和属性查询

    3 面域的布尔运算

    第九节 填充多边形的绘制

    1 填充多边形的常用属性和方法

    2 设置填充多边形的填充模式

    3 填充多边形的绘制和属性查询

    第十节 文字的绘制

    1 文字的常用属性和方法

    2 设置文字样式

    3 单行文字的绘制和属性查询

    4 多行文字的绘制和属性查询

    第十一节 尺寸标注与编辑66

    1 尺寸的类型66

    2 尺寸的常用属性和方法67

    21 长度尺寸的常用属性67

    22 半径尺寸的常用属性68

    23 直径尺寸的常用属性69

    24 角度尺寸的常用属性70

    25 坐标尺寸的常用属性71

    26 引线注释的常用属性72

    27 尺寸的方法72

    3 设置尺寸参数73

    31 尺寸线74

    32 尺寸界线75

    33 箭头76

    34 圆心标记77

    35 文字外观77

    36 文字位置78

    37 文字对齐79

    38 调整选项79

    39 线性标注79

    310 角度标注81

    4 尺寸的绘制和属性查询81

    41 长度尺寸的绘制和属性查询81

    42 半径尺寸的绘制和属性查询85

    43 直径尺寸的绘制和属性查询87

    44 角度尺寸的绘制和属性查询90

    45 坐标尺寸的绘制和属性查询92

    46 引线注释的绘制和属性查询94

    第十二节 块的建立和块属性96

    1 块、块参照和块属性简介96

    2 块、块参照和块属性的常用属性和方法97

    21 块的常用属性和方法97

    22 块参照的常用属性和方法98

    23 块属性的常用属性和方法99

    3 块、块参照、块属性的建立和属性查询100

    31 块的建立和参数设置100

    32 块参照的建立和参数设置101

    33 块属性建立和参数设置102

    34 块、块参照、块属性的建立和属性查询103

    4 块的分解106

    第十三节 边界图案填充

    1 边界图案填充的常用属性和方法109

    2 设置边界图案填充参数110

    21 图案填充110

    22 高级111

    23 渐变色图案填充112

    3 边界图案填充的绘制和属性查询113

    31 图案填充的绘制和属性查询113

    32 渐变色图案填充的绘制和属性查询115

    第三章 图层的设置

    第一节 图层的的常用属性和方法118

    第二节 图层的获取118

    第三节 图层的设置

    1 添加图层119

    2 删除图层121

    3 设置图层为当前图层122

    4 图层颜色的设置123

    5 图层线型的选择125

    6 设置图层的状态126

    7 图层的重命名129

    第四章 图形对象的编辑

    第一节 图形编辑对象的选择131

    1 获取所有图形对象132

    2 获取指定图层上的对象134

    3 获得单个对象135

    4 创建选择集获取图形对象137

    41 创建选择集(SelectOnScreen) 137

    42 创建选择集(SelectByPolygon) 140

    43 创建选择集(Select) 142

    第二节 图形变换145

    1 移动变换(Move) 146

    2 旋转变换(Rotate) 147

    3 比例变换(ScaleEntity) 148

    4 镜像变换(Mirror) 150

    第三节 图形复制151

    1 复制(Copy) 151

    2 偏移复制(Offset) 152

    3 阵列复制154

    31 圆形阵列复制(ArrayPolar) 154

    32 矩形阵列复制(ArrayRectangular) 155

    第四节 其它操作156

    1 删除对象(Delete) 157

    2 两个对象的交点(IntersectWith) 157

    3 对象高亮显示(Highlight) 160

    4 对象的分解(Explode) 160

    第五章 与AutoCAD 的交互操作

    第一节 向AutoCAD命令行直接发送命令(SendCommand) 163

    第二节 交互操作164

    1 测量距离(GetDistance) 164

    2 测量角度(GetAngle) 166

    3 测量点坐标(GetPoint) 167

    第六章 AutoCAD 环境的设置

    第一节 打开、保存和关闭图形

    1 打开AutoCAD文件

    2 新建AutoCAD文件

    3 保存AutoCADCAD文件

    4 退出AUTOCAD

    第二节 与AutoCAD 初始环境相关的系统变量设置

    第三节 图形的缩放

    1 ZoomAll

    2 ZoomCenter

    3 ZoomExtents

    4 ZoomPrevious

    5 ZoomScaled

    6 ZoomWindow

    第七章 三维图形基础

    第一节 三维模型的观察

    第二节 用户坐标系的建立

    第三节 三维平面的绘

    奖励

    奖励于 2009-11-25 05:37:24

    展开全文
  • VB与AUTOCAD二次开发源代码包.rar

    热门讨论 2010-09-19 00:40:42
    VB与AUTOCAD二次开发源代码包 内有实例和源代码,对CAD的二次开发很有帮助
  • VB与autocad二次开发.rar

    2010-12-01 10:18:04
    使用vb开发autocad绘图功能,从vb的基本介绍开始,讲解了cad的各种接口。
  • VB开发CAD入门资料,让你能快速熟悉如何进行CAD二次开发,非常容易上手
  • 很详细的VB操作autocad的入门教程及1~9章代码!入门首选
  • 利用VB进行AutoCAD二次开发,首先应该将VB于CAD进行链接:在编写VB代码之前,在VB编程环境中引用CAD对象库,在编写VB程序代码时,创建CAD对象启动运行CAD程序。VB与CAD进行链接后,就可以利用AutoCAD对象及其下级...

    利用VB进行AutoCAD二次开发,首先应该将VB于CAD进行链接:在编写VB代码之前,在VB编程环境中引用CAD对象库,在编写VB程序代码时,创建CAD对象启动运行CAD程序。

    VB与CAD进行链接后,就可以利用AutoCAD对象及其下级对象的属性和方法,完成用VB语言在AutoCAD环境中的图形绘制和编辑操作,引用CAD对象库:在VB环境中选择“工程-引用”命令打开引用对话框,选中AutoCAD2004对象库,电脑上安装了什么版本的CAD这里就会出现对应的对象库。创建CAD对象的典型代码如下所示。 Dim acadapp As AcadApplication

    Private Sub Form_Load()

    On Error Resume Next

    Set acadapp = GetObject(, "AutoCAD.Application")

    If Err Then

    Err.Clear

    Set acadapp = CreateObject("AutoCAD.Application")

    If Err Then

    MsgBox ("CAD启动错误")

    Exit Sub

    End If

    End If

    acadapp.Visible = True

    End Sub

    上面代码中的set语句将AutoCAD对象引用赋给变量acadapp,用来创建CAD对象的实例,如果AutoCAD已经启动,则getobject函数返回对该对象的引用,如果AutoCAD启动,则利用createobject函数启动新的CAD对象。如果AutoCAD未能创建,则消息框提示信息“CAD启动错误”。

    展开全文
  • 利用VB进行AutoCAD二次开发,首先应该将VB于CAD进行链接:在编写VB代码之前,在VB编程环境中引用CAD对象库,在编写VB程序代码时,创建CAD对象启动运行CAD程序。 VB与CAD进行链接后,就可以利用AutoCAD对象及其下级...

    利用VB进行AutoCAD二次开发,首先应该将VB于CAD进行链接:在编写VB代码之前,在VB编程环境中引用CAD对象库,在编写VB程序代码时,创建CAD对象启动运行CAD程序。

    VB与CAD进行链接后,就可以利用AutoCAD对象及其下级对象的属性和方法,完成用VB语言在AutoCAD环境中的图形绘制和编辑操作,引用CAD对象库:在VB环境中选择“工程-引用”命令打开引用对话框,选中AutoCAD2004对象库,电脑上安装了什么版本的CAD这里就会出现对应的对象库。创建CAD对象的典型代码如下所示。

    Dim acadapp As AcadApplication
    Private Sub Form_Load()
        On Error Resume Next
        Set acadapp = GetObject(, "AutoCAD.Application")
        If Err Then
            Err.Clear
            Set acadapp = CreateObject("AutoCAD.Application")
            If Err Then
                MsgBox ("CAD启动错误")
                Exit Sub
            End If
        End If
        acadapp.Visible = True
    End Sub

    上面代码中的set语句将AutoCAD对象引用赋给变量acadapp,用来创建CAD对象的实例,如果AutoCAD已经启动,则getobject函数返回对该对象的引用,如果AutoCAD启动,则利用createobject函数启动新的CAD对象。如果AutoCAD未能创建,则消息框提示信息“CAD启动错误”。

    展开全文
  • 《VisualBasic与AutoCAD二次开发》张晋西,讲述了vb与cad的二次开发
  • VisualBasic与AutoCAD二次开发清晰版!原本想免积分的,但是发现没法选免积分!这版找到的非常清晰!VB与CAD二次开发教程!
  • 这个是技术文档,用于查看vbcad二次开发,可以学习,其他的地方的资源都50积分了,太贵了。还是下载这个比较好
  • VB基本知识讲解,以及VisualBasic与AutoCAD二次开发
  • autocad VB6 二次开发

    2013-07-24 14:32:26
    VB6.0 开发autoCAD2004的绘图技术。例子程序启动后,在cad空间里画一个时钟,指针自动走,电脑时间同步!
  • 本文介绍了VBA二次开发AUTOCAD的技术特点,并以实例说明VBA应用程序的编写要点。进一步验证了AUTOCAD与VBA以ActivexAutomation自动化接口技术实现连接,利用VB的可视化编程设计实现CAD系统设计的实际价值。
  • VB与AUTOCAD的接口

    2011-09-07 15:40:59
    AutoCAD具有开放的体系结构,是一种极其灵活的应用系统,用户可以通过...我们先对以往AutoCAD二次开发中用到的方法简单做一回顾,然后以Visual Basic6.0为编程工具,详细讨论应用ActiveX对AutoCAD进行二次开发的方法。
  • 环境搭建版本兼容性:首先,先来了解一下objectarx或者.net DLL 与AutoCAD版本兼容问题!AutoCAD 版本受支持的.NET 和 ObjectARX SDK.NET FrameworkAutoCAD 2020AutoCAD 2020、AutoCAD 20194.7AutoCAD 2...

    b2b5a41974ff3621ee16aac127defd4d.gif

            今天我们来了解一下怎么用VB.NET来对CAD进行开发!

    环境搭建

        版本兼容性:

        首先,先来了解一下objectarx或者.net DLL 与AutoCAD版本兼容问题!

    AutoCAD 版本

    受支持的.NET ObjectARX SDK

    .NET Framework

    AutoCAD 2020

    AutoCAD 2020AutoCAD 2019

    4.7

    AutoCAD 2019

    AutoCAD 2019

    4.7

    AutoCAD 2018

    AutoCAD 2018

    4.6

    AutoCAD 2017

    AutoCAD 2017

    4.6

    AutoCAD 2016

    AutoCAD 2015, AutoCAD 2016

    4.5

    AutoCAD 2015

    AutoCAD 2015

    4.5

    AutoCAD 2014

    AutoCAD 2013, AutoCAD 2014

    4.0

    AutoCAD 2013

    AutoCAD 2013

    4.0

    AutoCAD 2012

    AutoCAD2010,AutoCAD2011,

    AutoCAD 2012

    3.51 SP1

    AutoCAD 2011

    AutoCAD 2010, 2011

    3.51 SP1

    AutoCAD 2010

    AutoCAD 2010

    3.51 SP1

    AutoCAD 2009

    AutoCAD2007,AutoCAD2008,

    AutoCAD 2009

    3.0

    AutoCAD 2008

    AutoCAD 2007, AutoCAD 2008

    2.0

    AutoCAD 2007

    AutoCAD 2007

    2.0

    AutoCAD 2006

    AutoCAD2004,AutoCAD2005,

    AutoCAD 2006

    1.1 SP1

    AutoCAD 2005

    AutoCAD 2004, AutoCAD 2005

    1.1

    AutoCAD 2004

    AutoCAD 2004

        1.同一个.net Framework框架版本autoCAD高版本兼容低版本。不同的.Net框架往往涉及到函数或者参数的改变,一般不兼容。

        2.版本兼容和系统(32位和64位)有关,如用了com的两个DLL引用,     Autodesk.AutoCAD.Interop和 Autodesk.AutoCAD.Interop.Common。或者用了相交函数 IntersectWith()等情况

        3.从基于 AutoCAD 2014的产品开始,当SECURELOAD系统变量设置为1或2时,自定义应用程序必须在安全模式下工作。当在安全模式下进行操作时,基于AutoCAD的产品限制为从受信任的位置加载和执行包含代码的文件;受信任的位置由TRUSTEDPATHS系统变量指定。

    环境及dll引用:

        1.创建一个类库项目(VS版本:VS2019,CAD版本:CAD2019),选择"类库(.NET Framework)"做开发项目!

    87648752bc48139a95e84a2ea3f30239.png

    87ff7a80f346df2a9d650c195c7b2aca.png

    6cc01570f826e5abbab0d9b9a48a3311.png

          2.引用CAD .NET 开发DLL;引用-->添加引用-->浏览-->打开CAD安装目录-->找到"acmgd.dll" "accoremgd.dll" "acdbmgd.dll" 这三个文件-->添加到引用-->一定要把三个dll文件"复制到本地"属性改为false

    0357937a5eace682547bd332c1cc397a.png

    1816dca3f0816a7fa2ede1ca27e40d11.png

    ce94e2762932b61ddfcc97e707561bb8.png

    af38d032de9b1bcccf3cb7ea82dc5fae.png

    3.调试环境配置    3.1.打开项目属性

    b058127ba1c1ee7ba46c2db3e659a4a7.png

         3.2.打开项目属性-->应用程序设置-->把.net框架调为4.7(根据上表选择对应框架,这里用的是CAD2019,所以选择.net4.7)

    8da8017a00dab278912afc22f743439b.png

      3.3.打开项目属性-->编译设置-->目标CPU调为X64

    35a4a6ac581f2636d5914609bd0da92b.png

             3.4.打开项目属性-->调试设置-->启动操作-->选择启动外部程序-->浏览-->打开CAD安装目录-->选择acad.exe文件

    ec67fdf03d16679a8be71b4e41e1bb58.png

    db3a0ed891e1ac7c21397b1cf482882c.png

        3.5.OK到目前为止,环境已经搭建完毕!

    4.下面展示一下小项目代码及运行调试

        4.1运行

    d232b7ff1e995e934c68044f8de18685.png

    e625583279bdaf014b4774fe25d5d26f.png

    431d01417179cf919bd51f25809594c1.png

         4.2.加载开发项目CAD命令:netload-->选择开发生成的DLL文件-->输入我们设定的CAD命令:VBXYM-->生成图形VB

    46f6725e582af4661216f32e2420adf5.png

    c7e77c7481f2acf1300caece1f7df139.png

    2eb704f759a66382e49342a9df322bc9.png

    0020012200e922b819a77bcf7426a161.png

            4.3.示例代码

    Imports Autodesk.AutoCAD.ApplicationServicesImports Autodesk.AutoCAD.DatabaseServicesImports Autodesk.AutoCAD.GeometryImports Autodesk.AutoCAD.RuntimePublic Class Class1     Public Sub Test()        Dim V As New Polyline, B As New Polyline '’画多段线        V.AddVertexAt(0, New Point2d(0, 2), 0, 0, 0)        V.AddVertexAt(1, New Point2d(0.42, 0), 0, 0, 0)        V.AddVertexAt(2, New Point2d(0.84, 2), 0, 0, 0)        ''------------------------------------------------        B.AddVertexAt(0, New Point2d(1.51, 2), 0, 0, 0)        B.AddVertexAt(1, New Point2d(1.51, 0), 0, 0, 0)        B.AddVertexAt(2, New Point2d(2.08, 0), 0, 0, 0)        B.AddVertexAt(3, New Point2d(2.25, 0.17), 0, 0, 0)        B.AddVertexAt(4, New Point2d(2.34, 0.35), 0, 0, 0)        B.AddVertexAt(5, New Point2d(2.34, 0.68), 0, 0, 0)        B.AddVertexAt(6, New Point2d(2.09, 1), 0, 0, 0)        B.AddVertexAt(7, New Point2d(1.51, 1), 0, 0, 0)        B.AddVertexAt(8, New Point2d(2.09, 1), 0, 0, 0)        B.AddVertexAt(9, New Point2d(2.25, 1.17), 0, 0, 0)        B.AddVertexAt(10, New Point2d(2.34, 1.35), 0, 0, 0)        B.AddVertexAt(11, New Point2d(2.34, 1.68), 0, 0, 0)        B.AddVertexAt(12, New Point2d(2.25, 1.84), 0, 0, 0)        B.AddVertexAt(13, New Point2d(2.09, 2), 0, 0, 0)        B.AddVertexAt(14, New Point2d(1.51, 2), 0, 0, 0)        ''-----------------------------------------------        Dim entIdV As ObjectId = AppendEntity(V)        Dim entIdB As ObjectId = AppendEntity(B)        Dim Doc As Document = Core.Application.DocumentManager.MdiActiveDocument        Doc.SendStringToExecute("_.ZOOM _E ", True, False, False)    End Sub    '''     ''' 把图行形添加到CAD空间    '''     '''     '''     Public Function AppendEntity(ByVal ent As Entity) As ObjectId        Dim db As Database = HostApplicationServices.WorkingDatabase        Dim entId As ObjectId        Using trans As Transaction = db.TransactionManager.StartTransaction            Dim bt As BlockTable = trans.GetObject(db.BlockTableId, OpenMode.ForRead)            Dim btr As BlockTableRecord = trans.GetObject(bt(BlockTableRecord.ModelSpace), OpenMode.ForWrite)            entId = btr.AppendEntity(ent)            trans.AddNewlyCreatedDBObject(ent, True)            trans.Commit()        End Using        Return entId    End FunctionEnd Class

    今天教程到此结束啦!谢谢阅读!

    b4f8300b72ca576317587a16c74d957b.png

    展开全文
  • AutoCAD是我们在实施EPDM...本人通过ActiveX技术,利用Visual Basic.Net对AutoCAD进行二次开发,实现了从AutoCAD图纸中获取材料明细表(BOM)信息并将其导出到Excel表格,以便客户能够统一管理设计相关的零部件信息。
  • 而使用VB.NET对AutoCAD进行二次开发时这种情况会更加严重。为什么这么说呢?请看常规运行代码的过程: (1)按F5;(2)生成程序【编译】;(3)启动AutoCAD【所谓的外部程序】;(4)在AutoCAD里使用netload命令手工加载...
  • AutoCAD VBA二次开发教程》,是2006年出版的图书,作者是张帆。本书以AutoCAD 2005中文版为开发平台,通过73个精彩的编程实例,向读者展示了AutoCAD VBA开发的高级技术。 1图书信息 中文名:AutoCAD VBA二次开发...
  • AutoCAD VBA&VB;.NET开发基础实例教程代码,主要内容包括AutoCAD .NET API介绍、使用AutoCAD .NET API控制AutoCAD工作环境、创建及编辑AutoCAD实体、创建和编辑...涵盖了AutoCAD .NET二次开发所涉及的所有基本任务。
  • CAD二次开发 net C#版
  • AUTOCAD VBA&VB.NET开发基础实例教程 第2版 cad二次开发 c#
  • VB.Net开发基础实例教程》,然后就是很草率的下决心学习VB.Net对AutoCAD二次开发。 上学的时候曾经学过AutoCAD二次开发,当时比较感兴趣的是VBA,但是VBA有几个比较明显的弱点:一是VBA开发的程序都是开放源...
  • .NET API提供了一系列托管的外包类(Managed Wrapper Class),使开发人员可在.NET框架下,使用任何支持.NET的语言,如VB.NET、C# 和Managed C++等对AutoCAD进行二次开发。其优点是完全面向对象。 (2).NET ...
  • 使用VBA和ActiveX技术对AutoCAD进行二次开发 使用.NET开发托管ObjectARX应用程序。
  • AutoCAD VBA&VB;.NET开发基础实例教程 用C#对CAD二次开发的最好工具书 PDF版 无随书光盘
  • 概述PCAN basic API是一个用于连接PCAN硬件的编程接口,支持多种编程语言进行二次开发。用户可以将API的文件PEAK的硬件配套使用,但是不能用于其它任何第三方硬件。PCAN-Basic API也提供了C#, C++/MFC, C++/CLR,...
  • AutoCAD VBA & VB.NET开发基础实例教程》以Visual studio 2010(编程语言为C#)和AutoCAD 2008中文版(部分实例采用了AutoCAD 2012)为开发平台,通过90个精彩的编程实例,向读者展示了AutoCAD NET二次开发的高级...
  • 最近因为工作原因,需要进行cad的二次开发,从来没有接触过CAD的新手需要将CAD相关的概念先熟悉一遍。单位领导给了我一本《AutoCAD VBA&VB.Net 开发基础实例教程(第二版)》,单这本书我就看了三个周,然而因为...
  • 书籍:截止2015.1.19,搜遍所有网络,英文资料很多,但理解困难,中文就以下四本书最符合.net ...VB.NET开发基础实例教程(第2版)(C#版) 2013-6 88.00元 中国电力出版社 曾洪飞,卢择临,张帆 页 数621 AutoCAD 201...

空空如也

空空如也

1 2
收藏数 39
精华内容 15
关键字:

vb与autocad二次开发